Loading...
Searching...
No Matches
ger: General matrix rank 1 update
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(A = \alpha xy^T + A\) More...

## Functions

void | magma_cgerc (magma_int_t m, magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_const_ptr dx, magma_int_t incx, magmaFloatComplex_const_ptr dy, magma_int_t incy, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform rank-1 update, \( A = \alpha x y^H + A \).
void | magma_cgeru (magma_int_t m, magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_const_ptr dx, magma_int_t incx, magmaFloatComplex_const_ptr dy, magma_int_t incy, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).
void | magma_dger (magma_int_t m, magma_int_t n, double alpha, magmaDouble_const_ptr dx, magma_int_t incx, magmaDouble_const_ptr dy, magma_int_t incy, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).
void | magma_sger (magma_int_t m, magma_int_t n, float alpha, magmaFloat_const_ptr dx, magma_int_t incx, magmaFloat_const_ptr dy, magma_int_t incy, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).
void | magma_zgerc (magma_int_t m, magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_const_ptr dx, magma_int_t incx, magmaDoubleComplex_const_ptr dy, magma_int_t incy, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform rank-1 update, \( A = \alpha x y^H + A \).
void | magma_zgeru (magma_int_t m, magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_const_ptr dx, magma_int_t incx, magmaDoubleComplex_const_ptr dy, magma_int_t incy, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).

## Detailed Description

\(A = \alpha xy^T + A\)

## Function Documentation

## magma_cgerc()

void magma_cgerc | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloatComplex_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform rank-1 update, \( A = \alpha x y^H + A \).

Parameters

  [in] | m | Number of rows of A. m >= 0.
  [in] | n | Number of columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX array on GPU device. The m element vector x of dimension (1 + (m-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | COMPLEX array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | COMPLEX array on GPU device. The m-by-n matrix A of dimension (ldda,n), ldda >= max(1,m).
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_cgeru()

void magma_cgeru | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloatComplex_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).

Parameters

  [in] | m | Number of rows of A. m >= 0.
  [in] | n | Number of columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX array on GPU device. The m element vector x of dimension (1 + (m-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | COMPLEX array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | COMPLEX array of dimension (ldda,n), ldda >= max(1,m). The m-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dger()

void magma_dger | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | double | alpha,
|  | magmaDouble_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDouble_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).

Parameters

  [in] | m | Number of rows of A. m >= 0.
  [in] | n | Number of columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | DOUBLE PRECISION array on GPU device. The m element vector x of dimension (1 + (m-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | DOUBLE PRECISION array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | DOUBLE PRECISION array of dimension (ldda,n), ldda >= max(1,m). The m-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sger()

void magma_sger | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | float | alpha,
|  | magmaFloat_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloat_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).

Parameters

  [in] | m | Number of rows of A. m >= 0.
  [in] | n | Number of columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | REAL array on GPU device. The m element vector x of dimension (1 + (m-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | REAL array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | REAL array of dimension (ldda,n), ldda >= max(1,m). The m-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zgerc()

void magma_zgerc | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDoubleComplex_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform rank-1 update, \( A = \alpha x y^H + A \).

Parameters

  [in] | m | Number of rows of A. m >= 0.
  [in] | n | Number of columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX_16 array on GPU device. The m element vector x of dimension (1 + (m-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | COMPLEX_16 array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | COMPLEX_16 array on GPU device. The m-by-n matrix A of dimension (ldda,n), ldda >= max(1,m).
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zgeru()

void magma_zgeru | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDoubleComplex_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform rank-1 update (unconjugated), \( A = \alpha x y^T + A \).

Parameters

  [in] | m | Number of rows of A. m >= 0.
  [in] | n | Number of columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX_16 array on GPU device. The m element vector x of dimension (1 + (m-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | COMPLEX_16 array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | COMPLEX_16 array of dimension (ldda,n), ldda >= max(1,m). The m-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.